osmium::geom::Coordinates Struct Reference

`#include <coordinates.hpp>`

## Public Member Functions

| Coordinates (double cx, double cy) noexcept
| Coordinates (const osmium::Location &location)
void | append_to_string (std::string &s, const char infix, int precision) const
void | append_to_string (std::string &s, const char prefix, const char infix, const char suffix, int precision) const

## Public Attributes

double | x
double | y

## Constructor & Destructor Documentation

osmium::geom::Coordinates::Coordinates | ( | double | cx,
|  | double | cy
| ) |  |

inline explicit noexcept

osmium::geom::Coordinates::Coordinates | ( | const osmium::Location & | location | ) |

inline

## Member Function Documentation

void osmium::geom::Coordinates::append_to_string | ( | std::string & | s,
|  | const char | infix,
|  | int | precision
| ) |  | const

inline

void osmium::geom::Coordinates::append_to_string | ( | std::string & | s,
|  | const char | prefix,
|  | const char | infix,
|  | const char | suffix,
|  | int | precision
| ) |  | const

inline

## Member Data Documentation

double osmium::geom::Coordinates::x

double osmium::geom::Coordinates::y

The documentation for this struct was generated from the following file:

- osmium/geom/coordinates.hpp